LocalVariableTypeInfo (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: LocalVariableTypeInfo
Keywords: java.lang.classfile.attribute.LocalVariableTypeInfo interface

# Interface LocalVariableTypeInfo

public sealed interface LocalVariableTypeInfo
Models a single local variable in the `LocalVariableTypeTableAttribute`.

See Java Virtual Machine Specification:
  4.7.14 The `LocalVariableTypeTable` Attribute
Since:
  24
See Also:
  - `LocalVariableTypeTableAttribute.localVariableTypes()`
  - `LocalVariableType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `length()`
  Returns the length of the region of the code array in which this variable is in scope.
  `Utf8Entry`
  `name()`
  Returns the name of the local variable.
  `Utf8Entry`
  `signature()`
  Returns the field signature string of the local variable.
  `int`
  `slot()`
  Returns the index into the local variable array of the current frame which holds this local variable.
  `int`
  `startPc()`
  Returns the index into the code array, inclusive at which the scope of this variable begins.

- ## Method Details

  - ### startPc

    int startPc()
    Returns the index into the code array, inclusive at which the scope of this variable begins.
    Returns:
      the index into the code array, inclusive at which the scope of this variable begins

  - ### length

    int length()
    Returns the length of the region of the code array in which this variable is in scope.
    Returns:
      the length of the region of the code array in which this variable is in scope

  - ### name

    Utf8Entry name()
    Returns the name of the local variable.
    Returns:
      the name of the local variable

  - ### signature

    Utf8Entry signature()
    Returns the field signature string of the local variable.
    Returns:
      the field signature string of the local variable

  - ### slot

    int slot()
    Returns the index into the local variable array of the current frame which holds this local variable.
    Returns:
      the index into the local variable array of the current frame which holds this local variable